export default defineNuxtPlugin((nuxtApp) => {
  //Pre环境
  nuxtApp.provide('webUrl', 'https://apipre1.bjzxtw.org.cn')
  nuxtApp.provide('CwebUrl', 'http://nwpre.bjzxtw.org.cn')
  nuxtApp.provide('BwebUrl', 'https://adminpre.bjzxtw.org.cn')
  nuxtApp.provide('LoginWebUrl', 'https://adminpre.bjzxtw.org.cn/adminapi')
  nuxtApp.provide('userUrl', 'http://localhost:3000')

  //正式环境
  // nuxtApp.provide('webUrl', 'https://flzxw.bjzxtw.org.cn')
  // nuxtApp.provide('CwebUrl', 'http://nw.bjzxtw.org.cn')
  // nuxtApp.provide('BwebUrl', 'https://admin.bjzxtw.org.cn')
  // nuxtApp.provide('LoginWebUrl', 'http://admin.bjzxtw.org.cn/adminapi')
  // nuxtApp.provide('userUrl', 'http://localhost:3000')
})